Subject: ab/remove-implicit-use-of-the-repository (was Re: What's cooking in git.git (Mar 2023, #05; Wed, 22))

From: Glen Choo <[email-masked]>
Date: Thu, 23 Mar 2023 10:12:24 -0700

Junio C Hamano <[email-masked]> writes:

> * ab/remove-implicit-use-of-the-repository (2023-03-17) 17 commits
>  - libs: use "struct repository *" argument, not "the_repository"
>  - post-cocci: adjust comments for recent repo_* migration
>  - cocci: apply the "revision.h" part of "the_repository.pending"
>  - cocci: apply the "rerere.h" part of "the_repository.pending"
>  - cocci: apply the "refs.h" part of "the_repository.pending"
>  - cocci: apply the "promisor-remote.h" part of "the_repository.pending"
>  - cocci: apply the "packfile.h" part of "the_repository.pending"
>  - cocci: apply the "pretty.h" part of "the_repository.pending"
>  - cocci: apply the "object-store.h" part of "the_repository.pending"
>  - cocci: apply the "diff.h" part of "the_repository.pending"
>  - cocci: apply the "commit.h" part of "the_repository.pending"
>  - cocci: apply the "commit-reach.h" part of "the_repository.pending"
>  - cocci: apply the "cache.h" part of "the_repository.pending"
>  - cocci: add missing "the_repository" macros to "pending"
>  - cocci: sort "the_repository" rules by header
>  - cocci: fix incorrect & verbose "the_repository" rules
>  - cocci: remove dead rule from "the_repository.pending.cocci"
>
>  Code clean-up around the use of the_repository.
>
>  Needs review.
>  source: <[email-masked]>

My opinion (which I think is shared by Elijah [1]) is that

a) the code changes look great, and are a very welcome cleanup
b) I don't know how to review cocci changes, so I'm not 100% confident
   in giving Reviewed-by

[1] https://lore.kernel.org/git/CABPp-BEdpTO=[email-masked]/